Fields
Field
Retrieve detailed metadata for a single research field by its numeric ID.
GET
/
fields
/
{id}
curl -X GET "https://api.hexagraph.in/fields/17"
fetch("https://api.hexagraph.in/fields/17")
.then(response => response.json())
.then(data => console.log(data));
import requests
response = requests.get("https://api.hexagraph.in/fields/17")
print(response.json())
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
resp, err := http.Get("https://api.hexagraph.in/fields/17")
if err != nil {
fmt.Println("Error:", err)
return
}
defer resp.Body.Close()
body, _ := io.ReadAll(resp.Body)
fmt.Println(string(body))
}
{
"id": 17,
"name": "Computer Science",
"description": "study of computation",
"ids": {
"wikidata": "https://www.wikidata.org/wiki/Q21198",
"wikipedia": "https://en.wikipedia.org/wiki/Computer_science"
},
"display_name_alternatives": [
"CS",
"science of computing",
"information processing science",
"computing sciences",
"sciences of computing",
"computation science",
"computing",
"computer studies",
"comp sci",
"comp. sci",
"comp. sci.",
"compsci",
"informatics"
],
"domain": {
"id": "3",
"name": "Physical Sciences"
},
"subfields": [
{
"id": 1702,
"name": "Artificial Intelligence"
}
],
"siblings": [
{
"id": 11,
"name": "Agricultural and Biological Sciences"
}
],
"outputs_count": 23921112,
"cited_by_count": 159243397,
"updated_date": "2026-08-05T03:01:44",
"created_date": "2024-01-23T15:21:08"
}
{
"statusCode": 404,
"message": "Field with ID 999 not found",
"error": "Not Found"
}
{
"statusCode": 429,
"error": "Too Many Requests",
"message": "IP rate limit exceeded (max 30 requests per minute). Please try again in 42 seconds (at 11:40:32 UTC).",
"reset_in_seconds": 42,
"reset_at_utc": "2026-08-05T11:40:32.000Z"
}
Retrieves a broad research field (Level 1 taxonomy node) by its numeric identifier (e.g.
17 for Computer Science).
Path Parameters
string
required
Unique numeric field identifier (e.g.
17).Response Fields
string
required
Numeric field identifier (e.g.
"17").string
required
Field display name (e.g.
"Computer Science").string
Scope description.
array
Alternative display names or abbreviations.
array
array
integer
Total number of indexed outputs in this field.
integer
Total citation count received.
string
Last updated timestamp.
string
Creation timestamp.
curl -X GET "https://api.hexagraph.in/fields/17"
fetch("https://api.hexagraph.in/fields/17")
.then(response => response.json())
.then(data => console.log(data));
import requests
response = requests.get("https://api.hexagraph.in/fields/17")
print(response.json())
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
resp, err := http.Get("https://api.hexagraph.in/fields/17")
if err != nil {
fmt.Println("Error:", err)
return
}
defer resp.Body.Close()
body, _ := io.ReadAll(resp.Body)
fmt.Println(string(body))
}
{
"id": 17,
"name": "Computer Science",
"description": "study of computation",
"ids": {
"wikidata": "https://www.wikidata.org/wiki/Q21198",
"wikipedia": "https://en.wikipedia.org/wiki/Computer_science"
},
"display_name_alternatives": [
"CS",
"science of computing",
"information processing science",
"computing sciences",
"sciences of computing",
"computation science",
"computing",
"computer studies",
"comp sci",
"comp. sci",
"comp. sci.",
"compsci",
"informatics"
],
"domain": {
"id": "3",
"name": "Physical Sciences"
},
"subfields": [
{
"id": 1702,
"name": "Artificial Intelligence"
}
],
"siblings": [
{
"id": 11,
"name": "Agricultural and Biological Sciences"
}
],
"outputs_count": 23921112,
"cited_by_count": 159243397,
"updated_date": "2026-08-05T03:01:44",
"created_date": "2024-01-23T15:21:08"
}
{
"statusCode": 404,
"message": "Field with ID 999 not found",
"error": "Not Found"
}
{
"statusCode": 429,
"error": "Too Many Requests",
"message": "IP rate limit exceeded (max 30 requests per minute). Please try again in 42 seconds (at 11:40:32 UTC).",
"reset_in_seconds": 42,
"reset_at_utc": "2026-08-05T11:40:32.000Z"
}
⌘I
curl -X GET "https://api.hexagraph.in/fields/17"
fetch("https://api.hexagraph.in/fields/17")
.then(response => response.json())
.then(data => console.log(data));
import requests
response = requests.get("https://api.hexagraph.in/fields/17")
print(response.json())
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
resp, err := http.Get("https://api.hexagraph.in/fields/17")
if err != nil {
fmt.Println("Error:", err)
return
}
defer resp.Body.Close()
body, _ := io.ReadAll(resp.Body)
fmt.Println(string(body))
}
{
"id": 17,
"name": "Computer Science",
"description": "study of computation",
"ids": {
"wikidata": "https://www.wikidata.org/wiki/Q21198",
"wikipedia": "https://en.wikipedia.org/wiki/Computer_science"
},
"display_name_alternatives": [
"CS",
"science of computing",
"information processing science",
"computing sciences",
"sciences of computing",
"computation science",
"computing",
"computer studies",
"comp sci",
"comp. sci",
"comp. sci.",
"compsci",
"informatics"
],
"domain": {
"id": "3",
"name": "Physical Sciences"
},
"subfields": [
{
"id": 1702,
"name": "Artificial Intelligence"
}
],
"siblings": [
{
"id": 11,
"name": "Agricultural and Biological Sciences"
}
],
"outputs_count": 23921112,
"cited_by_count": 159243397,
"updated_date": "2026-08-05T03:01:44",
"created_date": "2024-01-23T15:21:08"
}
{
"statusCode": 404,
"message": "Field with ID 999 not found",
"error": "Not Found"
}
{
"statusCode": 429,
"error": "Too Many Requests",
"message": "IP rate limit exceeded (max 30 requests per minute). Please try again in 42 seconds (at 11:40:32 UTC).",
"reset_in_seconds": 42,
"reset_at_utc": "2026-08-05T11:40:32.000Z"
}